$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.33.215-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.33.215-BETA.msi'
  softwareName = 'Invantive Data Hub'
  checksum = '540B7C3C8ACC6B27271A6C3ED93B15671834EFBEC3BABC08EEDB2F258C6BE9DE'
  checksumType = 'sha256'
  checksum64 = '540B7C3C8ACC6B27271A6C3ED93B15671834EFBEC3BABC08EEDB2F258C6BE9DE'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.33.215-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
